Subject: Re: DDD Debugger
From: [email-masked] (Stipe Tolj)

4 Jan 1999 16:52:24 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked], [email-masked]

Hi Fabio,

> I've tried (so far unsuccessfully) to port DDD 3.1.2 to
> b20.1/Windows98.  I have an executable that creates the main DDD
> window, but fails to connect to gdb. Alternatively, it fails to locate
> the X libraries when run with --check-configuration.
>
> In both cases the problem is with calls to popen. I posted a message a
> few days ago asking for help in figuring out this popen problem, but
> no takers yet. Too bad, because DDD is a superb front-end to gdb (and
> other debuggers).
>
> At any rate, this is what you need to get as far as I got:
>
> 1. An X server. I currently use the free server by Microimages:
>    http://tnt.microimages.com/www/html/freestuf/mix/
>
> 2. X libraries. I have downloaded the precompiled libraries from
>    Andy Piper's ftp site http://www.parallax.co.uk/~andyp/.
>
> 3. Lesstif libraries. Check http://www.lesstif.org.
>
> 4. And of course ddd itself: http://www.cs.tu-bs.de/softech/ddd
>
> Some configuation work is required.

if there are already some patches done by you to the ddd and lesstif source I
would like to have a look on it to help in getting ddd working, since it
would be a great tool for the cygwin environment.

Regards,
Stipe

--
Stipe Tolj <[email-masked]>
Cygwin Porting Project
Department of Economical Computer Science
University of Cologne, Germany
http://www-public.rz.uni-duesseldorf.de/~tolj

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".